# GameObject Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A GameObject is a special kind of a general object in Blender's game engine More...

`#include <gameobject.h>`

Inherits: Object

## Public Members

- GameObject ()
- ~GameObject ()
- PyObject* setVisible (int visible)
- PyObject* setPosition (PyObject* pylist)
- PyObject* getPosition ()
- PyObject* getLinearVelocity ()
- PyObject* getVelocity ()
- PyObject* getMass ()
- PyObject* getReactionForce ()
- PyObject* restoreDynamics ()
- PyObject* suspendDynamics ()

## Detailed Description

A GameObject is a special kind of a general object in Blender's game engine.

## PyObject* setVisible(int visible)

bla

## PyObject* setPosition(PyObject* pylist)

Takes a Python list of three elements (x, y, z).

## PyObject* getPosition()

Returns a Python list of three elements (x, y, z).

## PyObject* getLinearVelocity()

Returns a Python list of three elements.

## PyObject* getVelocity()

Returns a Python list of three elements.

## PyObject* getMass()

bla

## PyObject* getReactionForce()

Returns a Python list of three elements.

## PyObject* restoreDynamics()

bla

## PyObject* suspendDynamics()

bla

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc